--- emacs20/wnn7egg-cnv.el.orig	2002-05-26 15:00:00 UTC
+++ emacs20/wnn7egg-cnv.el
@@ -654,13 +654,13 @@ whose name defaults to .eggrc.")
 (defun wnn7-henkan-region (start end)
   "Convert a text in the region between START and END from kana to kanji."
   (interactive "r")
-  (if (interactive-p) (set-mark (point))) ;;; to be fixed
+  (if (called-interactive) (set-mark (point))) ;;; to be fixed
   (wnn7-henkan-region-internal start end))
 
 (defun wnn7-gyaku-henkan-region (start end)
   "Convert a text in the region between START and END from kanji to kana."
   (interactive "r")
-  (if (interactive-p) (set-mark (point))) ;;; to be fixed
+  (if (called-interactive) (set-mark (point))) ;;; to be fixed
   (wnn7-henkan-region-internal start end t))
 
 (defun wnn7-henkan-region-internal (start end &optional rev)
@@ -883,6 +883,14 @@ optional SHO-BUNSETU-FACE $B$O>.J8@a6h4V$rI=<($9$k(B
 	  (undo-boundary))
       (setq i (1+ i))
       ))
+
+  ;; Workaround to remove position to which `undo' goes.
+  (if (car buffer-undo-list)
+      (if (numberp (cadr buffer-undo-list))
+	  (setcdr buffer-undo-list (nthcdr 2 buffer-undo-list)))
+    (if (numberp (nth 2 buffer-undo-list))
+	(setcdr (cdr buffer-undo-list) (nthcdr 3 buffer-undo-list))))
+
   (setq egg:*sai-henkan-end* (point))
   (wnn7-server-hindo-update)
   (when egg-predict-status
@@ -1672,7 +1680,8 @@ optional SHO-BUNSETU-FACE $B$O>.J8@a6h4V$rI=<($9$k(B
 	   (eq last-command 'wnn7-henkan-kakutei)
 	   (eq last-command 'egg-predict-select))
        (wnn7-server-predict-cancel-toroku)))
- (delete-backward-char arg killp))
+ (backward-char))
+; (delete-backward-char arg killp))
 
 (defun egg-predict-toroku (&optional kakutei-str)
   (when (and (wnn7-server-isconnect)
@@ -1923,7 +1932,7 @@ optional SHO-BUNSETU-FACE $B$O>.J8@a6h4V$rI=<($9$k(B
 (if (not egg-ud-face)
     (progn
       (setq egg-ud-face (make-face 'egg-ud-face))
-      (set-face-underline-p egg-ud-face t)))
+      (set-face-underline egg-ud-face t)))
 
 (defun egg-predict-mode-in-inline ()
   (interactive)
