--- emacs20/wnn7egg-lib.el.orig	2002-05-26 15:00:00 UTC
+++ emacs20/wnn7egg-lib.el
@@ -1,4 +1,4 @@
-;; Wnn7Egg is Egg modified for Wnn7, and the current maintainer 
+:;; Wnn7Egg is Egg modified for Wnn7, and the current maintainer 
 ;; is OMRON SOFTWARE Co., Ltd. <wnn-info@omronsoft.co.jp>
 ;;
 ;; This file is part of Wnn7Egg. 
@@ -714,7 +714,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 						wnn7-active-server-port))
 	      ((error quit))))
 	  (when proc
-	    (process-kill-without-query proc)
+	    (set-process-query-on-exit-flag proc nil)
 	    (if (featurep 'xemacs)
 		(set-process-coding-system proc 'binary 'binary)
 	      (set-process-coding-system proc 'no-conversion 'no-conversion))
@@ -955,7 +955,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	 mode vmask)
     (setq mode (wnn7-server-autolearn-dic-add type did dname prior drw dpass))
     (when mode
-      (setq vmask (lsh 1 14))
+      (setq vmask (ash 1 14))
       (aset param-list 14 (cond ((or (eq mode 0) (eq mode nil)) 0)
 				((or (eq mode 1) (eq mode t))   1)
 				(t (egg:error "%s: Wrong type argument" name))))
@@ -972,7 +972,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	 mode vmask)
     (setq mode (wnn7-server-autolearn-dic-add type did dname prior drw dpass))
     (when mode 
-      (setq vmask (lsh 1 15))
+      (setq vmask (ash 1 15))
       (aset param-list 15 (cond ((or (eq mode 0) (eq mode nil)) 0)
 				((or (eq mode 1) (eq mode t))   1)
 				(t (egg:error "%s: Wrong type argument" name))))
@@ -1060,7 +1060,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'last-is-first)
 	vmask)
-    (setq vmask (lsh 1 0))
+    (setq vmask (ash 1 0))
     (aset param-list 0 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			     ((or (eq mode 1) (eq mode t))   1)
 			     (t (egg:error "%s: Wrong type argument" name))))
@@ -1071,7 +1071,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'complex)
 	vmask)
-    (setq vmask (lsh 1 1))
+    (setq vmask (ash 1 1))
     (aset param-list 1 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			     ((or (eq mode 1) (eq mode t))   1)
 			     (t (egg:error "%s: Wrong type argument" name))))
@@ -1082,7 +1082,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'okuri-learn)
 	vmask)
-    (setq vmask (lsh 1 2))
+    (setq vmask (ash 1 2))
     (aset param-list 2 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			     ((or (eq mode 1) (eq mode t))   1)
 			     (t (egg:error "%s: Wrong type argument" name))))
@@ -1093,7 +1093,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'okuri)
 	vmask)
-    (setq vmask (lsh 1 3))
+    (setq vmask (ash 1 3))
     (aset param-list 3 (cond ((or (eq mode -1) (eq mode 'regulation)) -1)
 			     ((or (eq mode  0) (eq mode 'no))          0)
 			     ((or (eq mode  1) (eq mode 'yes))         1)
@@ -1105,7 +1105,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'prefix-learn)
 	vmask)
-    (setq vmask (lsh 1 4))
+    (setq vmask (ash 1 4))
     (aset param-list 4 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			     ((or (eq mode 1) (eq mode t))   1)
 			     (t (egg:error "%s: Wrong type argument" name))))
@@ -1116,7 +1116,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'prefix)
 	vmask)
-    (setq vmask (lsh 1 5))
+    (setq vmask (ash 1 5))
     (aset param-list 5 (cond ((or (eq mode  0) (eq mode 'hiragana)) 0)
 			     ((or (eq mode  1) (eq mode 'kanji))    1)
 			     (t (egg:error "%s: Wrong type argument" name))))
@@ -1127,7 +1127,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'suffix-learn)
 	vmask)
-    (setq vmask (lsh 1 6))
+    (setq vmask (ash 1 6))
     (aset param-list 6 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			     ((or (eq mode 1) (eq mode t))   1)
 			     (t (egg:error "%s: Wrong type argument" name))))
@@ -1138,7 +1138,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'common-learn)
 	vmask)
-    (setq vmask (lsh 1 7))
+    (setq vmask (ash 1 7))
     (aset param-list 7 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			     ((or (eq mode 1) (eq mode t))   1)
 			     (t (egg:error "%s: Wrong type argument" name))))
@@ -1149,7 +1149,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'freq-func)
 	vmask)
-    (setq vmask (lsh 1 8))
+    (setq vmask (ash 1 8))
     (aset param-list 8 (cond ((or (eq mode 0) (eq mode 'not))    0)
 			     ((or (eq mode 1) (eq mode 'always)) 1)
 			     ((or (eq mode 2) (eq mode 'high))   2)
@@ -1163,7 +1163,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'numeric)
 	vmask)
-    (setq vmask (lsh 1 9))
+    (setq vmask (ash 1 9))
     (aset param-list 9 (cond ((or (eq mode  -2) (eq mode 'han))       -2)
 			     ((or (eq mode -12) (eq mode 'zen))      -12)
 			     ((or (eq mode -13) (eq mode 'kan))      -13)
@@ -1179,7 +1179,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'alphabet)
 	vmask)
-    (setq vmask (lsh 1 10))
+    (setq vmask (ash 1 10))
     (aset param-list 10 (cond ((or (eq mode  -4) (eq mode 'han))  -4)
 			      ((or (eq mode -30) (eq mode 'zen)) -30)
 			      (t (egg:error "%s: Wrong type argument" name))))
@@ -1190,7 +1190,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'symbol)
 	vmask)
-    (setq vmask (lsh 1 11))
+    (setq vmask (ash 1 11))
     (aset param-list 11 (cond ((or (eq mode  -5) (eq mode 'han))  -5)
 			      ((or (eq mode -40) (eq mode 'jis)) -40)
 			      ((or (eq mode -41) (eq mode 'asc)) -41)
@@ -1202,7 +1202,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'yuragi)
 	vmask)
-    (setq vmask (lsh 1 12))
+    (setq vmask (ash 1 12))
     (aset param-list 12 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			      ((or (eq mode 1) (eq mode t))   1)
 			      (t (egg:error "%s: Wrong type argument" name))))
@@ -1213,7 +1213,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'rendaku)
 	vmask)
-    (setq vmask (lsh 1 13))
+    (setq vmask (ash 1 13))
     (aset param-list 13 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			      ((or (eq mode 1) (eq mode t))   1)
 			      (t (egg:error "%s: Wrong type argument" name))))
@@ -1224,7 +1224,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'yosoku-learn)
 	vmask)
-    (setq vmask (lsh 1 22))
+    (setq vmask (ash 1 22))
     (aset param-list 18 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			      ((or (eq mode 1) (eq mode t))   1)
 			      (t (egg:error "%s: Wrong type argument" name))))
@@ -1235,7 +1235,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'yosoku-max-disp)
 	vmask)
-    (setq vmask (lsh 1 23))
+    (setq vmask (ash 1 23))
     (aset param-list 19 (cond ((and (<= max 10) (>= max 1) max))
 			      (t (egg:error "%s: Wrong type argument" name))))
     (wnn7rpc-set-conversion-env-param env vmask param-list)))
@@ -1245,7 +1245,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'yosoku-last-is-first)
 	vmask)
-    (setq vmask (lsh 1 24))
+    (setq vmask (ash 1 24))
     (aset param-list 20 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			      ((or (eq mode 1) (eq mode t))   1)
 			      (t (egg:error "%s: Wrong type argument" name))))
@@ -1256,7 +1256,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'wnn7-set-boin-kabusoku)
 	vmask)
-    (setq vmask (lsh 1 26))
+    (setq vmask (ash 1 26))
     (aset param-list 21 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			      ((or (eq mode 1) (eq mode t))   1)
 			      (t (egg:error "%s: Wrong type argument" name))))
@@ -1267,7 +1267,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'wnn7-set-shiin-choka)
 	vmask)
-    (setq vmask (lsh 1 27))
+    (setq vmask (ash 1 27))
     (aset param-list 22 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			      ((or (eq mode 1) (eq mode t))   1)
 			      (t (egg:error "%s: Wrong type argument" name))))
@@ -1278,7 +1278,7 @@ wnn-uniq-kanji: Use only one among same kanji candidat
 	(param-list (wnn7-make-henkan-parameter))
 	(name 'wnn7-set-n-choka)
 	vmaskh vmaskl)
-    (setq vmaskh (lsh 1 12))
+    (setq vmaskh (ash 1 12))
     (setq vmaskl 0)
     (aset param-list 23 (cond ((or (eq mode 0) (eq mode nil)) 0)
 			      ((or (eq mode 1) (eq mode t))   1)
